<?
include ("up.php");
include ("settings.php");
// форма для поиска
$form = "
<form name=\"formsearch\"  action=\"search.php\">
<input type=\"hidden\" name=\"seenform\" value=\"y\">
Кого ищем:<BR>
<input type=\"text\" name=\"zapros\" value=$zapros>
<HR size = '1' color '#000000'>
<input type=\"submit\" name=\"Submit\" value=\"Поиск!\"><BR>
<HR size = '1' color '#000000'></form>";

if ($seenform != 'y')
	print $form; 
if ($seenform == 'y')
{
print $form;
$fp = fopen ($searchfile, "r"); // открываем файл
while (!feof($fp))
{
$read = fgets($fp, 1000); // счтиваем файл
list($link,$url) = split('::',$read);
if (ereg($zapros,$link)){
//if ($zapros == $link)
print "Найден: $link! Его Адрес: <a href = '$url'>$url</a><br>";}
			
		}
}
print '<br><hr>';

include ("down.php");
?>
